# Coverage for Doctrine_Record_Iterator

Back to coverage report

1 | <?php
2 | /*
3 | * $Id: Iterator.php 2963 2007-10-21 06:23:59Z Jonathan.Wage $
4 | *
5 | * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6 | * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7 | * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8 | * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9 | * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10 | * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11 | * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12 | * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13 | * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14 | * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15 | * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16 | *
17 | * This software consists of voluntary contributions made by many individuals
18 | * and is licensed under the LGPL. For more information, see
19 | * <http://www.phpdoctrine.org>.
20 | */
21 |
22 | /**
23 | * Doctrine_Record_Iterator
24 | *
25 | * @package Doctrine
26 | * @subpackage Record
27 | * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
28 | * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
29 | * @link www.phpdoctrine.org
30 | * @since 1.0
31 | * @version $Revision: 2963 $
32 | */
33 | class Doctrine_Record_Iterator extends ArrayIterator
34 | {
35 | /**
36 | * @var Doctrine_Record $record
37 | */
38 | private $record;
39 |
40 | /**
41 | * @var Doctrine_Null $null
42 | */
43 | private static $null;
44 |
45 | /**
46 | * constructor
47 | *
48 | * @param Doctrine_Record $record
49 | */
50 | public function __construct(Doctrine_Record $record)
51 | {
52 | $this->record = $record;
53 | parent::__construct($record->getData());
54 | }
55 |
56 | /**
57 | * initNullObject
58 | *
59 | * @param Doctrine_Null $null
60 | */
61 | public static function initNullObject(Doctrine_Null $null)
62 | {
63 | self::$null = $null;
64 | }
65 |
66 | /**
67 | * current
68 | *
69 | * @return mixed
70 | */
71 | public function current()
72 | {
73 | $value = parent::current();
74 |
75 | if ($value === self::$null) {
76 | return null;
77 | } else {
78 | return $value;
79 | }
80 | }
81 | }